## Day 16: Withstanding the change of time.

Today, you are passing through an agitated sea.
A tornado is raging not far from your area, and you have to change course.

Today's exercise is about sustaining code.
A code that is robust and that will weather changes.

There are different avenues for code improvement:

- We looked at breaking conditions, better naming, avoiding complexity
  and even dependency check.

But we are not talking about these refactoring steps.
No, today we focus our effort into a simple question:

_Is my code better mutable or immutable?_

> **Day 16: Make this code immutable.**

May you be protected on your crafting journey!

- <u>💡HINT:</u> Code from usage for this one.

![snippet of the day](snippet.png)